
[pytest]
filterwarnings =
    ignore::DeprecationWarning
junit_family=xunit1
log_cli = true
log_cli_level = DEBUG
log_cli_format = %(asctime)s.%(msecs)03dZ|%(levelname)s|%(threadName)s|%(funcName)s|%(filename)s#%(lineno)d||%(message)s
log_cli_date_format = %Y-%m-%dT%H:%M:%S
log_file = pytest-logs.txt
log_file_level = DEBUG
addopts =
          --forked
          --json-report
          --json-report-file=build/report.json
          --cov-branch
          --cov-report term
          --cov-report html:build//htmlcov
          --cov-report xml:build/code-coverage.xml          
          --cov=src
          --junitxml=build/unit-tests.xml
          --cucumberjson=build/cucumber.json
          --verbose
console_output_style = count
markers =
    post_deployment: run only with a real deployment of the ska tmc repository
    SKA_mid: run on SKA mid only
    SKA_low: run on SKA low only
    acceptance: run with real deployment and outside the context of the ska tmc repository
    cspmln_mid: run on mid CspMasterLeafNode only
    cspmln_low: run on low CspMasterLeafNode only
    cspsln_mid: run on mid CspSubarrayLeafNode only
    cspsln_low: run on low CspSubarrayLeafNode only
    cspsln: run on CspSubarrayLeafNode only
    Team_SAHYADRI: Tests written by team Team_SAHYADRI
    XTP-5330: Marker for test related to XTP-5330 functionality
    XTP-5993: Marker for test related to XTP-5993 functionality
    XTP-5994: Marker for test related to XTP-5994 functionality
    XTP-5995: Marker for test related to XTP-5995 functionality
    XTP-43544: Marker for delay test related to XTP-43544 functionality
    XTP-28347: Marker for delay test related to XTP-28347 functionality
    XTP-43414: Marker for delay test related to XTP-43414 functionality
    XTP-5994: Test for Ability to run commands on CspSubarrayLeafNode
    XTP-28348: Test to verify SKB-328
    XTP-58507: Test to Verify SKB-413
    XTP-45165: Test to Verify SKB-329
bdd_features_base_dir = tests/features


[coverage:run]
data_file = .coverage/.coverage
branch = True
source = src

[coverage:paths]
source =
    src

[coverage:report]
show_missing = True
